* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: 0;
}

.about-description {
  border: 2px solid rgba(255, 209, 130, 0.4);
  padding: 24px;
  border-radius: 8px;
  position: relative;
  text-align: justify;
}


.about-description::before,
.about-description::after {
  content: "";
  position: absolute;
  width: 40px;
  height: 40px;
  border: 2px solid #ffd182;
}

.about-description::before {
  top: -10px;
  left: -10px;
  border-right: none;
  border-bottom: none;
}

.about-description::after {
  bottom: -10px;
  right: -10px;
  border-left: none;
  border-top: none;
}
header {
  width: 100%;
}

.logo {
  width: 28rem;
}

.header-content {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

i {
  color: #FFF;
}

.header-icons {
  display: flex;
  gap: 14px;
}

.header-icons a:hover i {
  animation: translateY 0.8s infinite alternate;
  color: #ffd182;
}

@keyframes translateY {
  from {
    transform: translateY(0) scale(1);
  }
  to {
    transform: translateY(-8px) scale(1.1);
  }
}
.header-button {
  border: 1px solid #FFF;
  padding: 8px 24px;
  font-weight: bold;
  color: #FFF;
  background-color: transparent;
  transition: background-color 0.8s;
}

.header-button:hover {
  border: 1px solid #ffd182;
  background-color: #20294a;
}

.header-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 14px;
  margin-left: 0px;
  max-width: 300px;
  width: 100%;
}

@media screen and (max-width: 768px) {
  .header-content {
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .header-content i {
    margin-top: 16px;
    font-size: 34px;
  }
  .header-logo img {
    width: 160px;
    margin-top: 46px;
    margin-left: 0;
  }
  .header-button {
    display: none;
  }
}
.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 8px;
}

.bg-home {
  position: relative;
}

.bg-home::before {
  content: "";
  display: block;
  position: absolute;
  background-image: linear-gradient(to bottom, rgba(6, 18, 30, 0.1), #20294a), url("../assets/bg.svg");
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 0;
  opacity: 0.9;
}

.hero {
  color: #FFF;
  min-height: 60vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 14px;
}
.hero h1 {
  text-align: center;
  line-height: 150%;
  font-size: 4rem;
}
.hero p {
  text-align: center;
  margin: 14px 0;
  font-size: 1.8rem;
}

.button-contact {
  padding: 14px 28px;
  color: #FFF;
  background-color: #06121e;
  border: 0;
  font-size: 18px;
  font-weight: 600;
  margin: 14px 0;
}

.button-contact:hover {
  animation: scaleButton 0.8s alternate infinite;
  color: #ffd182;
}

/* CAROUSEL 3D */

.carousel-3d {
  max-width: 600px;
  margin: 0 auto;
  perspective: 1000px;
}

.carousel-track {
  position: relative;
  width: 100%;
  height: 350px;
}

.carousel-track img {
  position: absolute;
  width: 100%;
  left: 15%;
  top: 0;
  border-radius: 10px;
  transition: all 0.5s ease;
  cursor: pointer;
  opacity: 0.5;
}

/* IMAGEM PRINCIPAL */
.carousel-track img.active {
  transform: scale(1.1);
  opacity: 1;
  z-index: 3;
}

/* LADO DIREITO */
.carousel-track img.right {
  transform: translateX(120px) scale(0.8);
  z-index: 2;
}

/* LADO ESQUERDO */
.carousel-track img.left {
  transform: translateX(-120px) scale(0.8);
  z-index: 2;
}

/* RESPONSIVO */
@media (max-width: 768px) {
  .carousel-track {
    height: 250px;
  }

  .carousel-track img.right {
    transform: translateX(80px) scale(0.8);
  }

  .carousel-track img.left {
    transform: translateX(-80px) scale(0.8);
  }
}

@keyframes scaleButton {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(1.07);
  }
}
@media screen and (max-width: 768px) {
  .hero {
    min-height: 60vh;
  }
  .hero h1 {
    font-size: 34px;
    padding: 0 14px;
    width: 100%;
  }
  .hero p {
    font-size: 14px;
  }
}
@media screen and (max-width: 480px) {
  .hero h1 {
    font-size: 24px;
  }
}
.about {
  background-color: #20294a;
  overflow: hidden;
  color: #FFF;
}

.about-content {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 191px;
  padding: 0 14px 185px 14px;
}
.about-content img {
  max-width: 570px;
}

.about-content div {
  flex: 1;
}

.about-description h2 {
  font-size: 38px;
  margin-bottom: 24px;
}
.about-description p {
  margin-bottom: 14px;
  line-height: 150%;
  font-size: 1.3rem;
}

/* SETAS DO CAROUSEL */

.carousel-3d {
  position: relative;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.6);
  color: #fff;
  border: none;
  font-size: 22px;
  padding: 10px 14px;
  cursor: pointer;
  border-radius: 50%;
  z-index: 5;
  transition: 0.3s;
}

.arrow:hover {
  background: #ffd182;
  color: #000;
}

.left-arrow {
  left: 10px;
}

.right-arrow {
  right: 10px;
}

@media screen and (max-width: 768px) {
  .about-content {
    flex-direction: column;
  }
}
.services {
  background-color: #FFF;
  color: #232224;
  display: flex;
  font-size: 1.3rem;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 54px 14px;
}

.services-content h2 {
  text-transform: uppercase;
  text-align: center;
  font-size: 38px;
  margin-bottom: 14px;
}

.services-content p {
  line-height: 150%;
  margin-bottom: 14px;
  text-align: center;
  max-width: 780px;
  font-size: 1.3rem;
      border: 2px solid #20294a;
    padding: 24px;
    border-radius: 8px;
    margin-bottom: 50px;
}

.services-content p {
  position: relative;
}

.services-content p::before,
.services-content p::after {
  content: "";
  position: absolute;
  width: 40px;
  height: 40px;
  border: 2px solid #20294a;
}
.services-content p::before {
  top: -10px;
  left: -10px;
  border-right: none;
  border-bottom: none;
}

.services-content p::after {
  bottom: -10px;
  right: -10px;
  border-left: none;
  border-top: none;
}


.haircuts {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  padding: 0 44px 34px 44px;
}

.haircut {
  flex: 1;
  display: flex;
  flex-direction: column;
  background-color: #FFF;
  border-radius: 8px;
  box-shadow: 0px -1px 17px -4px rgba(0, 0, 0, 0.45);
  overflow: hidden;
}
.haircut img {
  width: 100%;
  max-width: 354px;
  transition: transform 0.2s;
}

.haircut img:hover {
  transform: scale(1.2);
  z-index: 1;
}

.haircut-info {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 14px;
  background-color: #FFF;
  z-index: 99;
}

.haircut-info button {
  color: #FFF;
  background-color: #d94140;
  padding: 4px 8px;
  border-radius: 4px;
  border: 0;
  cursor: default;
}

.carousel-track img {
  opacity: 0;
}

.carousel-track img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* ESSA LINHA RESOLVE */
}
@media screen and (max-width: 768px) {
  .haircuts {
    flex-direction: column;
  }
  .haircut img {
    max-width: 740px;
  }
}
.footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 54px 0;
  margin: 21px;
      border: 2px solid rgba(255, 209, 130, 0.4);
    padding: 24px;
    border-radius: 8px;
  gap: 24px;
  color: #FFF;
}

.footer-icons {
  display: flex;
  gap: 8px;
  color: #FFF;
}

.btn-whatsapp {
  position: fixed;
  bottom: 14px;
  right: 24px;
  z-index: 99;
}
.btn-whatsapp img {
  max-width: 74px;
  transition: transform 0.4s;
}
.btn-whatsapp img:hover {
  transform: scale(1.1);
}

.btn-whatsapp .tooltip-text {
  visibility: hidden;
  position: absolute;
  width: 120px;
  top: 8px;
  left: -144px;
  padding: 6px;
  border-radius: 8px;
  text-align: center;
  background-color: #232224;
  color: #FFF;
  opacity: 0;
  transition: opacity 0.4s;
}

.btn-whatsapp:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}

@media screen and (max-width: 768px) {
  .btn-whatsapp img {
    max-width: 64px;
  }
}
body {
  font-family: "Bree Serif", sans-serif;
  width: 100%;
  min-height: 100vh;
  position: relative;
  background-color: #20294a;
  overflow-x: hidden;
}

button {
  font-family: "Sora", sans-serif;
  cursor: pointer;
}

svg {
  width: 100%;
}

img {
  width: 100%;
}

a {
  cursor: pointer;
  text-decoration: none;
}/*# sourceMappingURL=style.css.map */

@media screen and (max-width: 470px) {
  .header-logo {
    margin-right: 138px;
  }
}

@media screen and (min-width: 471px) and (max-width: 769px) {
  .header-logo {
    margin-right: 144px;
  }

    .carousel-track img {
    position: relative; /* 🔥 MUDA ISSO */
    left: 0;
    width: 100%;
    transform: none !important;
    opacity: 1 !important;
  }

  .carousel-track {
    height: auto;
  }

  /* mostra só 1 imagem (principal) */
  .carousel-track img:not(.active) {
    display: none;
  }


  .left-arrow {
    left: 10px;
  }

  .right-arrow {
    right: 10px;
  }
}

@media (min-width: 901px) {

  .carousel-3d {
    max-width: 600px; /* volta ao tamanho original */
    width: 100%;
  }

}

@media screen and (min-width: 769px) and (max-width: 995px) {
  .header-button {
display: inline-block; 
text-align: center; } 

.about-content {
    flex-direction: column;
    gap: 40px;
    text-align: center;
  }

}

  /* CAROUSEL */
  .carousel-3d {
    max-width: 500px;
    margin: 0 auto;
  }

  .carousel-track {
    height: 300px;
  }

  /* REMOVE 3D (fica mais limpo no tablet) */
  .carousel-track img {
    position: relative;
    left: 0;
    width: 100%;
    transform: none !important;
    opacity: 1 !important;
  }

  .carousel-track img:not(.active) {
    display: none;
  }

  /* SETAS */
  .left-arrow {
    left: 10px;
  }

  .right-arrow {
    right: 10px;
  }

  .header-logo {
    margin-left: 140px;
  }

  @media (min-width: 901px) {

  .about-content {
    flex-direction: row;
    gap: 169px;
    text-align: left;
  
  }

  .right-arrow {
    right: -135px;
  }

  .carousel-track img {
    position: absolute;
    left: 15%;
    transform: scale(1);
    opacity: 0.5;
  }

  .carousel-track img.active {
    transform: scale(1.1);
    opacity: 1;
  }

  .carousel-track img.left {
    transform: translateX(-120px) scale(0.8);
  }

  .carousel-track img.right {
    transform: translateX(120px) scale(0.8);
  }

}

@media (max-width: 472px) {

  .about-content {
    flex-direction: column;
    gap: 30px;
    text-align: center;
  }

  /* 🔥 CAROUSEL EM COLUNA */
  .carousel-track {
    position: relative;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .carousel-track img {
    position: relative;
    left: 0;
    width: 100%;
    height: 200px;
    transform: none !important;
    opacity: 1 !important;
  }

  /* REMOVE efeito 3D */
  .carousel-track img.left,
  .carousel-track img.right,
  .carousel-track img.active {
    transform: none !important;
  }



}